Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 80443 - LVM2 not supported in rc.sysinit
Summary: LVM2 not supported in rc.sysinit
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: initscripts
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks: 79579 CambridgeTarget
TreeView+ depends on / blocked
 
Reported: 2002-12-26 17:30 UTC by Bernie Innocenti
Modified: 2014-03-17 02:33 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-28 19:04:37 UTC


Attachments (Terms of Use)

Description Bernie Innocenti 2002-12-26 17:30:19 UTC
rc.sysinit contains the following code to initialize LVM volumes: 
 
 # LVM initialization 
 if [ -f /etc/lvmtab -a ! -e /proc/lvm ] ; then 
         modprobe lvm-mod >/dev/null 2>&1 
 fi 
 if [ -e /proc/lvm -a -x /sbin/vgchange -a -f /etc/lvmtab ]; then 
         action $"Setting up Logical Volume Management:" /sbin/vgscan && /sbin/vgchange -a y 
 fi 
 
This does _NOT_ work with LVM2's dm-mod which is included in latest RH kernels. 
 
I'm using this instead to activate LVM2 partitions: 
 
 modprobe dm-mod 
 if [ -x /sbin/vgchange -a -f /etc/lvmtab ]; then 
         action $"Setting up Logical Volume Management:" /sbin/vgscan && /sbin/vgchange -a y 
 fi 
 
 I don't know how to detect wether the modprobe is really needed on the booting system.

Comment 1 Bill Nottingham 2005-04-28 19:04:37 UTC
This should be fixed as of now....


Note You need to log in before you can comment on or make changes to this bug.